[@rxap/material-table-system](../wiki/globals) / RawTableRow

# Type Alias: RawTableRow\<T\>

> **RawTableRow**\<`T`\>: `Omit`\<`T`, `"__metadata__"` \| `"__rowId"`\> & `Partial`\<`Pick`\<[`TableRowMetadata`](../wiki/Interface.TableRowMetadata), `"__rowId"` \| `"__metadata__"`\>\>

Defined in: [packages/angular/material/table-system/src/lib/table-row-metadata.ts:16](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-row-metadata.ts#L16)

## Type Parameters

• **T** *extends* [`TableRowMetadata`](../wiki/Interface.TableRowMetadata)
